﻿using Syncfusion.JavaScript;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication4
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        [System.Web.Services.WebMethod]
        public static object FileActionDefault(string ActionType, string Path, string ExtensionsAllow, string LocationFrom, string LocationTo, string Name, string PreviousName, string NewName, string Type, string Action, IEnumerable<CommonFileDetails> CommonFiles)
        {
            switch (ActionType)
            {
                case "Read":
                    return (FileExplorerOperations.Read(Path, ExtensionsAllow));
                case "CreateFolder":
                    return (FileExplorerOperations.CreateFolder(Path, Name));
                case "Paste":
                    FileExplorerOperations.Paste(LocationFrom, LocationTo, Name.Split(','), Action, CommonFiles);
                    break;
                case "Delete":
                    FileExplorerOperations.Delete(Name.Split(','), Path);
                    break;
                case "Rename":
                    FileExplorerOperations.Rename(Path, PreviousName, NewName, Type, CommonFiles);
                    break;
                case "GetDetails":
                    return (FileExplorerOperations.GetDetails(Path, Name, Type));
            }
            return "";
        }                 
    }
}